Subject: Linux Frequently Asked Questions 1/6 [monthly posted]
From: [email-masked]
Date: Wed, 21 Jul 1993 09:52:10 GMT
Newsgroups: comp.os.linux,comp.os.linux.announce,comp.answers,news.answers

Archive-name: linux-faq/part1
Last-Modified: 93/07/11
Version: 1.20

*********************************************************
*							*
*   Answers to Frequently asked questions about Linux   *
*							*
*********************************************************

This post contains Part 1 of the Linux FAQ (6 parts)

Hi Linuxers!

The original FAQ 1st version was posted on Dec. 19, 1991 by Robert Blum.
Since Feb. 1992, I'm the maintainer of this FAQ.

Most credits to Linus, Robert and Ted for the departure point of this
work. I haven't systematically copyrighted all the contributions, so
thanks to every one who participated even indirectly to this FAQ.

Since September 1992, the FAQ is co-written by:

WHO 			(WHAT) 		E-MAIL
=============================================================================
Michael K. Johnson  	(META-FAQ) 	[email-masked]
Matt Welsh		(GENERAL INFO)	[email-masked]
Zane Healy		(BBS INFO)	[email-masked]
Matt Welsh		(INSTALLATION)	[email-masked]
Peter MacDonald		(SLS INFO)	[email-masked]
Mark Komarinski 	(DOS) 	 	[email-masked]
Drew Eckhardt		(SCSI)		[email-masked] 
Rick Miller		(DEVICE INFO)	[email-masked]
Hongjiu Lu		(GCC)		[email-masked]
Krishna Balasubramanian (X11)		[email-masked] 
Rick Sladkey		(EMACS)		[email-masked]
Philip Copeland		(NET INFO)	[email-masked]
Brian McCauley		(LPD)		[email-masked]
Vince Skahan		(UUCP/NEWS..)	[email-masked]
Dirk Hohndel		(PROOF READER)	[email-masked]
Marc-Michel Corsini	(FAQ collector)	[email-masked]
=============================================================================

If anyone is interested in participating with this FAQ, just send me a
note with: your name/e-mail and the section you want to maintain.  

Many of the questions could be avoided, if people had read the FAQ of
the following newsgroups: news.announce.newusers, comp.lang.c,
gnu.emacs.help,  comp.unix.questions, comp.windows.x.i386unix.  
 
[The last-change-date of this posting is always "two minutes ago".  :-)]

This is the introduction to a list of frequently asked questions (FAQ
for short) about Linux with answers (Yeap!).  This article contains a
listing of the sections and queries.

This FAQ is supposed to reduce the noise level ;-) in the
comp.os.linux newsgroup, and spare the time of many activists. I will
cross-post it each month to news.answers. This FAQ is NOT an
introduction to UNIX, there are many books for unix, and there is
*also* a FAQ for unix (it's the one of comp.unix.questions which
contains things such as "How do I remove a file named -". I DO NOT
WANT TO ADD SUCH THINGS IN THIS FAQ DEVOTED TO LINUX.

Some books to read: 
  The C Programming Language: Kernighan & Ritchie
  POSIX Programmer's Guide: D. Lewine
  Unix System Administration Handbook: Nemeth, Snyder & Seebass.
  Unix for the Impatient: Abrahams & Larson
  Unix System V Release 4, An Introduction, by Rosen, Rosinski and
    Farber; Publisher Osborne MacGraw-Hill.
  The UNIX Programming Environment: Brian Kernighan and Rob Pike;
    Prentice-Hall, 1984
  The X Windows System in a Nutshell: O'Reilly.
.....

This FAQ is available at the main Linux sites in the doc directory,
the addresses are given in section II. of this FAQ. There is also an
archive of (all) FAQs at rtfm.mit.edu [18.70.0.224]. Have a look in
the anonymous ftp directory: /pub/usenet/news.answers/linux-faq.
If you do not have anonymous ftp access, you can access the archive by
mail server. Send mail to [email-masked] with the words
"help" and "index" in the body on separate lines for more information.

The information in this multi-parts FAQ is likely to change relatively
quickly. If this is more than two months old (it was released on
July 1993) then you should obtain a new copy. See the paragraph
above for details of where to find a more recent version.

Please suggest any change, rephrasing, deletions, new questions,
answers ...  
Please include "FAQ" in the subject of messages sent to me about FAQ.  
Please send them to [email-masked] whatever will be the
From part of this message. Finally discussion about the FAQ can be
done on the DOC Channel (see section II).

Regards,
				Marc-Michel

Thanks to Martin Schulze ([email-masked]),
the FAQ can be found in LaTeX version --- the first attempt was done
by Pepe de flores ---  at tsx-11.mit.edu in pub/linux/docs.

Future Plan:

	This document is under re-organization. Send suggestions to
	[email-masked]

================================8<=====8<==============================
CONTENTS (of this part)

	0.	WARNINGS				(part1)
	I.	LINUX GENERAL INFORMATION		(part1)
	II.	LINUX USEFUL ADDRESSES			(part1)

================================8<=====8<==============================

0. WARNINGS
===========

The FAQ contains a lot of information sometimes I've put it down 
in 3 different ways because people seems not to understand what they
read (or what I wrote, you know I'm just a froggy and english is not
my natural language). What I mean is that not all is in the FAQ but 
many things are there, so please just take time to read it this will 
spare a lot of the other linuxers [and if you think I should rephrase
some Q/A just drop me a note with the corrections].

As the Linux kernel changes monthly (and even more ...), I define 2
pseudo variables a la C one for the version, and one for the date of
the release.  

#define CURRENT_VERSION    0.99     /* the current version */
#define PATCH_LEVEL	   pl11     /* the patch level */
#define KERNEL_DATE	   18, Jul. /* Date of the CURRENT_VERSION */

In what follows I'll consider CURRENT_VERSION as the current version.

> From: [email-masked] (Linus Torvalds)
> Newsgroups: comp.os.linux.announce
> Subject: [ANNOUNCE]: linux 0.99 patchlevel 11
> Followup-To: comp.os.linux
> Date: 18 Jul 1993 20:13:34 -0400
> Organization: University of Helsinki, Department of Computer Science
> Reply-To: [email-masked] (Linus Torvalds)
> 
> 
> Nic.funet.fi now contains the newest linux kernel: this is 0.99
> patchlevel 11. I've had a few problems with the "ls" and "dir" commands
> on nic, so if this is true for others as well, you may not be able to
> see the files, but they are available as:
> 
> 	pub/OS/Linux/PEOPLE/Linus:
> 
> 		- RELEASE-0.99.11  --  release notes
> 		- README  --  same as RELEASE..
> 		- linux-0.99.11.tar.gz  --  full sources
> 		- linux-0.99.patch11.gz  --  patches against pl10
> 
> I don't know if I'll actually have the energy to update the RELEASE
> files every time, but that's the idea (with README being a copy of the
> latest one).  The README gives info on what changed, how to install
> it, how to compile the kernel, and what to do with error dumps like "unable
> to handler kernel paging request" and the like.  Maybe it results in
> better bug-reports.  Maybe not. 
> 
> Pl11 uses (as you all know by now) C++, so you'll need to have g++
> installed.  Also, there seems to be problems compiling the newer kernels
> with gcc-2.3.3: there have been various reports that even pl10 (which
> isn't C++) had problems which go away when compiled with gcc-2.4.3 or
> newer. 
> 
> As always, please send any bug-reports etc at least Cc'd to me: I'll be
> wanting to know if things work or not.
> 
> 		Linus
> 
> ---------- cut-down version of README ----------
> 
> 	Linux kernel release 0.99 patchlevel 11
> 
> These are the release notes for linux version 0.99.11.  Read them
> carefully, as they explain how to install the kernel, and what to do if
> something goes wrong. 
> 
> CHANGES since 0.99 patchlevel 10 and earlier:
> 
>  - The keyboard is dynamically changeable (this is true of pl10 as
>    well), and you need to get the "keytables.tar.z" archive to set the
>    keyboard to suit your taste unless you want to live with the default
>    US keymaps. 
> 
>    Use the "loadkeys map/xxx.map" command to load the keyboard map: you
>    can edit the maps to suit yourself if you can't find a suitable one. 
>    The syntax of the keyboard maps should be obvious after looking at
>    the examples. 
> 
>  - The memory manager has been cleaned up substantially, and mmap()
>    works for MAP_PRIVATE.  MAP_SHARED is still not supported for
>    anything else than /dev/mem, but even so it actually is usable for a
>    lot of applications.  The shared library routines have been rewritten
>    to use mmap() instead of the old hardcoded behaviour. 
> 
>  - The kernel is now compiled with C++ instead of plain C.  Very few
>    actual C++ features are used, but even so C++ allows for more
>    type-checking and type-safe linkage. 
> 
>  - The filesystem routines have been cleaned up for multiple block
>    sizes.  None of the filesystems use it yet, but people are working on
>    it. 
> 
>  - named pipes and normal pipes should hopefully have the right select()
>    semantics in the presense/absense of writers. 
> 
>  - QIC-02 tape driver by Hennus Bergman
> 
>  - selection patches in the default kernel
> 
>  - fixed a bug in the pty code which led to busy waiting in some
>    circumstances instead of sleeping. 
> 
>  - Compressed SLIP support (Charles Hedrick). See net/inet/CONFIG
> 
> [ rest deleted  - see the README for more info ]

I. LINUX GENERAL INFORMATION 
=============================
*** This section is maintained by Matt Welsh ([email-masked]). Mail
*** him if you have corrections, additions, other questions, etc. 
*** Last update July 1993.

   I.01)  What is linux?

ANSWER: Linux is a free, copylefted full-featured UNIX for 386 and 486
machines which use the AT bus. It is still in "beta testing" (the current
version number of the kernel is less than 1.0) but is being used worldwide
by thousands (?) of people.

(*) Free means that you may use it, change it , redistribute it, as
long as you don't change the copyright. Free does not mean public
domain. Linux is copylefted under the GNU General Public License.

Linux is a freely distributable UNIX clone.  It implements a subset of
System V and POSIX functionality, and contains a lot of BSD-isms.
LINUX has been written from scratch, and therefore does not contain
any AT&T or MINIX code--not in the kernel, the compiler, the
utilities, or the libraries.  For this reason it can be made available
with the complete source code via anonymous FTP.  LINUX runs only on
386/486 AT-bus machines; porting to non-Intel architectures is likely
to be difficult, as the kernel makes extensive use of 386 memory
management and task primitives. 

   I.02)   Does Linux support GCC, TCP/IP, X-Windows, MGR, etc.?

ANSWER: Linux currently supports and uses a large amount of the GNU
software (i.e. GCC, bison, groff, etc) so all of that functionality is
there. X-Windows is also available, along with many client
applications. MGR is there too. TCP/IP is available. I use Linux boxes as 
Xterminals and my "own" asterix has mounted half a Gig via NFS. Mitch DSuoza 
is running an anonymous FTP server on his Linux box. This is definitely
more than testing. 

See section IX of this FAQ ("Features")!

In short, Linux supports many, many features and programs. One of the
biggest questions is: "Does ***** work on Linux? Does Linux have *****?" 
The answer, usually, is "yes". Just check out the rest of this FAQ,
the newsgroup, as well as the files on the FTP sites. 

   I.03)   What is the current state of Linux?

ANSWER: There are two main groups devoted to linux:
The original one: comp.os.linux newsgroup, where the INFO-SHEET is
periodically posted. 
The selective one: comp.os.linux.announce, which is a moderated
newsgroup, has a lot less traffic, and contains all of the "IMPORTANT"
information on Linux. 

   I.04)  Linux sounds great, but where do I get it and how do I 
install it? 

ANSWER: FIRST read this FAQ, and especially section III (installation).  
There is no single, "official" release of Linux--- instead, there
are several independent releases, all with their own advantages and
disadvantages. The SLS release is the de facto standard.

Choose a "release" of Linux (such as the SLS release, TAMU, bootdisk/
rootdisk, etc). Download from your nearest FTP site, and put it on 
floppies. Specific instructions are given in section III and in the 
README files for each release.

Note that some releases only give you the kernel and a few utilities,
and others give you everything you need (including X11, GCC, and more)
in that latter case the downloading is close to a douzen of SOFT. Just
check out section III for more info.

   I.05)  Sounds good, but all of these docs are very confusing. Is
Linux really difficult to install and use?

ANSWER: This FAQ, as you can see, if very large. This is mostly because
it's full of every single frequently asked question about Linux on the
net. In essence, it's very simple: to get started with Linux, download
the SLS release, put it onto floppies (see section III), repartition your
drive, and install the software. 

If you're new to the UNIX world, Linux (as with any UNIX) is going to
be difficult to understand at first. There isn't a lot of real 
documentation (other than this FAQ) out there. The Linux Doc Project
(mail [email-masked]' for info) is working on a set of Linux manuals
which should solve this problem. However, Linux is a hacker's UNIX, in
many ways: it was developed by experienced UNIX hacks for experienced
UNIX hacks. People are working on making it more "newbie-friendly", 
however, keep in mind that this is an afterthought. Linux was never meant
to be the huge popular free UNIX that it has become, and the lack of 
documentation doesn't bother UNIX wizards who can figure it out from 
just poking around.

   I.06)  What's the best advice you can give to a Linux newbie?

ANSWER: Go read a *good* book on using UNIX before you even get started.
Jumping cold-turkey into the Linux world from DOS is going to be quite
difficult. Also remember that you'll be running the system, as well
as using it, so get a book on UNIX system administration. 

Too many folks post questions to comp.os.linux which aren't Linux 
specific at all, and thus aren't covered in this FAQ. (i.e. "How to 
remove a file called '-i'?). If you can't figure out something, it's 
more than likely a misunderstanding of UNIX concepts, not a bug in Linux. 
Please read up on UNIX (see the comp.unix.questions FAQ; that's a good 
one) before you get started.

   I.07)  Does it run on my computer?

ANSWER: Linux has been written on a clone-386, with IDE drives and a
VGA screen. It should work on most similar setups. The harddisk should
be AT-standard, and the system must be ISA. (though *some* EISA
success has been reported [T. Koenig], Linux doesn't take advantage of
the EISA structure).  A high density floppy drive -- either 5.25" or
3.5"-- is required for installation. Finally, most common SCSI
controllers are supported (see the section devoted to SCSI in this FAQ).

{Drew's information: Linux supports anything that's register compatable 
with a WD1003 MFM disk controller (ie, the original PC-AT disk controller.)  
Most AT MFM, RLL, ESDI, and IDE setups look like this.  

There is an alpha driver for the XT disk controller, but in general it's
best to have an AT controller. Mail [email-masked] about 
the XT controller.

Generally, the rule is if you have the disk configured into the 
CMOS setup of your machine, it will work (because the BIOS is talking 
to a WD 1003 compatable board), otherwise it won't.}

IDE and MFM seem to work with no problem. It works, also, for some
ESDI drive (you might have to comment out the "unexpected hd
interrupt"-messages). There exists a high-level SCSI driver, under which 
low-level drivers are placed; a ST-01/ST-02 low driver has been completed 
see the FEATURES and the USEFUL ADDRESSES sections.

Otherwise the requirements seem relatively small: a 386 (SX, DX or any
486).  Any video card of the following: Hercules, CGA, EGA, (S)VGA.

It needs at least 2M to run (with SWAP), and 4M is definitely a plus.
It can happily use up to 16M (and more if you want). 

BTW There are problems with some MAXTOR drives on high speed machines
(sometimes switching off "turbo" helps). There may also be a problem
with "slow" memory (under 60ns) on fast  machines. Again, the solution
is to turn off "turbo". Mixed SIMMs (3 and 9 chip versions) have also
reported to be problematic. 

NOTE: It doesn't run (yet?) on a MCA machine (such as the IBM PS/2 line).

   I.08)   How much space will Linux take up on my hard drive?

ANSWER: It depends on which release you choose. See the section
INSTALLATION below. Usually it's somewhere between 10 megs (for a
nominal system+swap space) and 80 megs (for everything plus space
for user directories, etc.). 

   I.09)   Will Linux run on a PC or 286-AT? If not, why?

ANSWER: Linux uses the 386 chip protected mode functions extensively,
and is a true 32-bit operating system. Thus x86 chips, x<3, will
simply not run it.

   I.10)   Will Linux run on a 386 Laptop?

ANSWER: It works, including X on most of them.

   I.11)   Why the suggested 4Meg, for Linux?

ANSWER: Linux uses the first 640k for kernel text, kernel data and
buffercache. Your mother board may eat up 384K because of the chipset.
Moreover there is: init/login, a shell, update possibly other daemons.
Then, while compiling there is make and gcc (2.01 ~770k).
So you don't have enough real memory and have to page.

   I.12)   How would this operate in an OS/2 environment?

ANSWER: Linux will coexist with *ANY* other operating system(s) which
respects the "standard" PC partioning scheme - this includes Dos,
Os/2, Minix etc. 

WARNING: Linux and OS/2 *can* co-exist on the same machine. BUT, you
cannot use Linux's fdisk to make Linux partitions! See the warnings in
section III about Linux and OS/2.

   I.13)  How long has Linux been publicly available?

ANSWER (partial): Few months, v0.10 went out in Nov. 91, v0.11 in Dec.
and the current version CURRENT_VERSION is available since
KERNEL_DATE.  But even it is recent it is quite reliable. There
are very few and small bugs and in its current state it is mostly
useful for people who are willing to port code and write new code. As
Linux is very close to a reliable/stable system, Linus decided that
v0.13 will be known as v0.95.  Believe it or not: the whole story
started (nearly) with two processes that printed AAAA... and BBBB...

   I.14)  How reliable is Linux, anyway?

ANSWER: Very much so. The only real "bugs" that we see are with
alpha drivers (that's why they're alpha) and with some parts of
the TCP/IP code. For 99% of applications, however, Linux is very
robust. Linux and Xwindows is faster on a 486-33 than on many
Sun workstations with the same amount of RAM, running SunOS. 

   I.15)   What is the proper pronounciation for "Linux"?

ANSWER: (Linus himself)
'li' is pronounced with a short [ee] sound: compare prInt, mInImal etc. 
'nux' is also short, non-diphtong, like in pUt.  It's partly due to
minix: linux was just my working name for the thing, and as I wrote it
to replace minix on my system, the result is what it is...  linus' minix
became linux. 

I originally intended it to be called freax (although buggix was one
contender after I got fed up with some of the more persistent bugs :)
and I think the kernel makefiles up to version 0.11 had something to
that effect ("Makefile for the freax kernel" in a comment).  But arl
called the linux directory at nic.funet.fi pub/OS/Linux, and the name
stuck.  Maybe just as well: freax doesn't sound too good either (freax
is obviosly free + freak + the obligatory -x). 

(Rick's note for English speakers:  Linux - "LIH-nuhks".)

   I.16)   What's about the copyright of linux?

ANSWER: This is an except of the RELEASE Notes v.095a: Linux is
NOT public domain software, but is copyrighted by Linus Torvalds. The
copyright conditions are the same as those imposed by the GNU
copyleft: The GNU GENERAL PUBLIC LICENSE Version 2, June 1991 is part
of the source tree.

   I.17)  Should I be a UNIX and/or a DOS wizard to install/use Linux?

ANSWER: Not at all, just follow the install rules, of course it will be 
easier for you if you know things about Unix. Right now Linux is used
by more than BIGNUM persons, very few of them enhance the kernel, some
adds/ports new soft, most of us are only (but USEFUL) beta testers.
Last but not least, various Linuxers work on manpages, newuser_help,
file-system organization. So join us and choose your "caste".

It is even used in production environments (Dr. G.W. Wettstein).

   I.18)  Does Linux use TSS segments to provide multitasking?

ANSWER: Yes!

   I.19)  If my PC runs under Linux, is it possible to ftp, rlogin,
rsh etc.. to other Unix boxes?

ANSWER: Yes; Linux supports serial communications (kermit), pseudo-SLIP
(with ka9q), and TCP/IP. SLIP is included in the
CURRENT_VERSION.PATCH_LEVEL. Read the NET-FAQ (see section XIII) for
information on networking. 

   I.20)   Does linux do paging? Can I have virtual memory on my small
machine?

ANSWER: Yes, it does. Generally you set up a swap file or partition, and
enable it with the "swapon" command. Voila! Virtual memory.

   I.21)   Can I have tasks spanning the full 4GB of addressable 386
memory? No more 64kB limits like in coherent or standard minix?

ANSWER: Since 0.97 it uses 4 GB Process Space, 3 for userspace and
1 for the kernel space.

   I.22)   Does the bigger program sizes mean I can run X?

ANSWER: Yes! See section XII below for details on X11.

   I.23)   What are the differences, pros and cons compared to Minix ?

ANSWER (partial): 
Cons: 
- Linux only works on 386 and 486 processors.  
- Linux needs 2M of memory just to run, 4M to be useful.  
- Linux is a more traditional unix kernel, it doesn't use message
passing. 

Pros: 
- Linux is free, and freely distributable, BUT copyrighted.  
- Linux has some advanced features such as:
  - Memory paging with copy-on-write
  - Demand loading of executables
  - Page sharing of executables
  - Multi-threaded file system
  - job control and virtual memory, virtual consoles and pseudo-ttys.
- Linux is a more traditional unix kernel, it doesn't use message
passing.

   I.24)   What are the pros and cons compared to 386BSD ?

ANSWER: Linux and 386BSD started out as completely different projects,
with completely different goals and design criteria in mind.

there are newsgroups devoted to 386BSD : comp.os.386bsd.*

- I have seen in may 93 the first attempt for 386BSD FAQ. Nevertheless
  the Linux FAQ is not bug free, and contains some outdated information.
- 386BSD can do POSIX and BSD
- Linux can do POSIX, SYSV and some BSD stuff
- Linux was developed with portability in mind. So it's not directly
  System V, nor is it directly BSD. It's the best of both worlds,
  a la SunOS. :)

For most of the *nix* users both systems are fairly usable, but none
of them are bug free. 

   I.25)   Can't we split comp.os.linux ?

ANSWER: The process is underway to split comp.os.linux in 4 different
groups:
           comp.os.linux.admin
           comp.os.linux.development
           comp.os.linux.help
           comp.os.linux.misc

The vote will continue until 4 august 1993 at 23:59 UTC

send mail to [email-masked] to get the Call For Vote

II. LINUX USEFUL ADDRESSES 
=========================

II.A. LINUX ON THE NET: ftp, mailing-list
II.B. OBTAINING LINUX FROM BBS'S: everything about bbs

II.A. LINUX ON THE NET
~~~~~~~~~~~~~~~~~~~~~~

  II.01)  Where can I get linux?

ANSWER: Linux (all the software, binaries, sources, releases, and so on),
can be retrieved via anonymous FTP from :

[ Major sites ]
EUROPE:
	nic.funet.fi (128.214.6.100):
		directory /pub/OS/Linux
	ftp.uni-erlangen.de (131.188.1.43)
		directory /pub/Linux

US:	
	tsx-11.mit.edu (18.172.1.2):
		directory /pub/linux
	sunsite.unc.edu (152.2.22.81):
		directory /pub/Linux

[ Mirroring sites (some of them, there are lots now) ]

AUSTRALIA:
	kirk.Bond.edu.au (131.244.1.1)
		directory /pub/OS/Linux

EUROPE:
        src.doc.ic.ac.uk (146.169.2.1):
		directory packages/Linux
	ftp.mcc.ac.uk (130.88.200.7):
		directory pub/linux
	ftp.dfv.rwth-aachen.de (137.226.4.105):
		directory /pub/linux
	ftp.informatik.rwth-aachen.de (137.226.112.172):
		directory /pub/Linux
	ftp.ibr.cs.tu-bs.de (134.169.34.15):
		directory /pub/os/linux

JAPAN:
	 kuis.kyoto-u.ac.jp (130.54.20.1):
		directory /Linux 
			  /Linux/mirror (for the tsx mirror)
KOREA:
	cair.kaist.ac.kr (143.248.11.170):
	 mirror of sunsite; directory pub/Linux

US:
	wustl.wuarchive.edu (128.252.135.4):
		directory /pub/mirrors4/linux
	ftp.eecs.umich.edu (141.212.99.7):
		directory linux

You might want to check out which of these is the most up-to-date.

> (From: Lee M J McLoughlin <[email-masked]>)
> src.doc.ic.ac.uk:
>
> We are also on Janet (the main UK academic network) as
> uk.ac.ic.doc.src (000005102000).
> 
> More useful perhaps is we are the only big archive available via FTAM,
> the ISO equivalent to FTP.  We can be reached either over the
> internet or janet (see above addresses) or via the European IXI
> network on 204334504108

If you have no FTP capability, you are in trouble. See the next Q/A.
Also, you'll need the "UNCOMP.EXE" and "RAWRITE2.EXE" programs for DOS
(to make your install disks). These are usually found in the Linux
directories on the above FTP sites.

  II.02)  I do not have FTP access, what can I do to get linux?

ANSWER: You can either read the next subsection related to BBS's
otherwise, read the following.

The SLS release is distributable by snail-mail on floppies for those
without net access; see the SLS section in section III of this FAQ for
more. 

Try to contact a friend on the net with those access, or try
mailserver/ftpmail server otherwise contact [email-masked]. You
might try mailing "[email-masked]" with "help" in the body of
the mail.  If you choose ftpmail server (example: [email-masked],
[email-masked]), with "help" in the body, the server will send
back instructions and command list. As an exemple to get the list of
files available at tsx-11 in /pub/linux send:

		mail [email-masked]
		subject: anything
		reply <your e-mail>
		connect tsx-11.mit.edu
		chdir /pub/linux
		dir -R
		quit

In Europe ftp.informatik.tu-muenchen.de is accessible via e-mail (send
"help" in the body to [email-masked])

  II.03)  Is there a newsgroup or mailing-list about linux? 

ANSWER: The comp.os.linux.announce is the place were all the announces
related to linux are posted. The comp.os.linux newsgroup is literally
*teeming* with postings. 
So, to the first question, yes. :) The older newsgroup, alt.os.linux,
is being phased out and shouldn't be used anymore.

If you don't have news access you can get the digest of postings via
e-mail from: [email-masked]. This list
is gatewayed to the newsgroup as well. Only use the 'request' address
for subscribe/unsubscribe messages; don't post those to the newsgroup
or to the actual mailing list.

And last but not least there is the original mailing-list, which is
now a multi-channel list. 
		contact [email-masked]

This multi-channel list is for developpers mainly, see section II for
more information.

  II.04)  Where can I get my questions answered? How about bug-reports?
What do I put into a post to comp.os.linux?

ANSWER: (Paul Gortmaker [email-masked])
 You can post your problem to the above group, comp.os.linux. BUT, BEFORE
 YOU DO THIS, PLEASE READ THE FOLLOWING GUIDELINES.
 
 If you have read the FAQ, man pages, etc, and you still haven't
 solved your problem, then check to make sure you have got the latest
 version of whatever it is that you are working with. Check the dates
 and revision numbers of your versions with the versions on your local
 ftp site (tsx-11.mit.edu , sunsite.unc.edu ?). This includes (most
 importantly) the kernel itself. Make sure you have applied the latest
 patches and recompiled the kernel, or have got the kernel "Image"
 from someone who has done so. And, of course check comp.os.linux
 for info too. If you have a genuine problem, chances are that you
 aren't the first one to find it. So it has probably already been
 reported (...and fixed???). For example, if you are having trouble
 with say Xconfig for some strange VGA card, and you use nn to read
 comp.os.linux, then you could invoke nn as follows:
 
 	nn -x -s 'config' comp.os.linux 
 
 and it will find all the latest articles with the word config in
 their subject for you. This will be one of the most up to date 
 sets of information that you can get -- DON'T OVERLOOK IT !!!
 (You can check the man pages of your news reader to determine
 the options that do the same as the above.)
 
 OK, so you've done all the above, spent 40 hours trying to figure
 it out, have had a nervous breakdown, your girlfriend/boyfriend has
 stopped talking to you, and you decide that you will turn to the
 Linux community for help. Here are some guidelines on posting that
 will ensure that you get a quick response, and that you hopefully
 don't get flamed.
 
 1)	Choosing a Subject:
 	
	It is important to try and squeeze as much information into
 	as few words as possible. If you can manage it, try and 
 	put the package name, version, and problem into the subject.
	But don't make it too long, or the middle will get chopped 
 	out. For example "I'm having problems with poeig-1.1.tar.Z 
 	on my 486 with 0.99p6" will probably appear to everybody as
	"I'm having prob <> ith 0.99p6" Not very useful... 
	What should have been used was something like:
	"poeig-1.1 w 99p6 wont compile" would be much better, and
 	relays that you are having trouble with getting it to 
 	compile. (Note that this is just an example, I have no 
 	knowledge of problems with poeig!) Also, (unless you like
 bugs -> getting flamed!) DON'T claim you have found a bug, unless
 	you are ABSOLUTELY SURE! Nothing p***es developers off more
 	than erroneous bug reports. 
 
 2) 	Keywords:
 
 	If your news poster program asks for keywords, try and put
 	in some useful descriptive words, so that others can use them
 	for a meaningful search.
 
 3)	Body of the Article:
 
 	There are some key things that need to be included in the
 	body of the article. (a) The name and version of the thing
 	that you are having the problem with. (b) The type of problem,
 	ie compilation, execution, etc. -- (c) versions of related
 	software, ie if compilation is the problem, then the version
 	of GCC you are runnning is relevant. If you are having trouble
 	with a program that uses X, then the version of X you are using
 	is relevant. (d) The version and patchlevel of the kernel you
 	are using at present. (ie. 0.99p7 or whatever) (e) the type
 	or brand of any related hardware, ie. if you are having problems
 	with networking, then you would want to say that you are using
 	a Western Digital SMC Elite 16 or whatever your ethernet card
 	is. (f) Any relevant error messages that were reported by the
 	system during the problem.
 	And, of course, there are some things that one should NOT put
 	in the article. For example, don't post a 30 page configuration
 	file and expect anybody in their right mind to look through it.
 	And similarly for any HUGE files. If they are relevant to your
 	problem, then someone will respond by asking you something like
 	"Did you check line 32 in file such and such???"  And try to
 	avoid negative comments like "The documentation isn't fit for
 	my dog." If you have a bone to pick, do it via e-mail, so the
 	rest of us don't have to read a flame war! It just adds to the 
 	amount of useless noise on comp.os.linux, which already takes
 	too long to scan through. Besides, the developers are doing this
 	FOR FREE. THEY ARE NOT OBLIGATED TO DO ANYTHING. DON'T ABUSE
 	THEM!!! (Or they might just go away, which hurts us all.)
 
 Well, with all this in mind, hopefully you will get a quick response to
 your problem, and maybe someday you will be able to answer someone else's
 problem from the experience you gain!

  II.05)  Could you be more explicit about the multi-channel list?

ANSWER: Well, there are many things to say:
   - these channels are rather devoted to hackers
   - the ones I am aware of are: GCC, MGR, X11, SCSI, NEW-CHANNELS,
     MSDOS (emulator discussion) , NORMAL, KERNEL, FTP, LAPTOP, DOC,
     NET, CONFIGS, LINUXNEWS ... 
   - whenever you want to JOIN or LEAVE a channel you have to
     contact the request address
   - you have to use special header (X-Mn-Key and Mn-Admin); X-Mn-Key
     is *ONLY* for regular post, the X-Mn-Admin is for *REQUEST*

(Ari Lemmke: 1 Nov. 1992):
	Hmmm.... It seems our list has now about 1500 users
	in 21 channels (mailing lists). 3960 without uniq.

	"echo foo | mail [email-masked]"
	to get the Mail-Net User Guide.

  II.06)  How can I join the channel XXX on the linux-activists
mailing list?

ANSWER: just send a mail to the request address with help in the body;
you will get back a mail which gives you the list of channels and the
way to join/leave them. Basically you send mail to the request address
with the line:
   X-Mn-Admin: join <channel>

  II.07)  How can I leave the channel XXX on the linux-activists
mailing list?

ANSWER: Same as above, basically. You send mail to the request address
that contains the line:
   X-Mn-Admin: leave <channel>

  II.08)  I'm not an hacker, what are the channels I could be interested
in? 

ANSWER: Probably these are the most interesting for you (IMHO)

	Channel NORMAL:
	~~~~~~~~~~~~~~~
 Channel normal is the former Linux-Activists mailing list
 (all the people who were on the old Linux-Activists list
 are moved to this channel).

	Channel DOC:
	~~~~~~~~~~~~
 This channel is for Linux document "project". Discussion about Linux
 documents, manuals, papers, etc.  

	Channel CONFIGS:
	~~~~~~~~~~~~~~~~
 This channel will be devoted to send submissions of systems that have
 Linux already running, AND those that, for any reason, can't get it  
 to work yet.

 Mainly, what it's need from all the channel users is to send their
 hardware configuration list (as complete as possible). Include
 anything that you feel pertinent for information: CPU,
 motherboard, RAM amount, HD & floppy controller, BIOS, monitor,
 video card & memory, network adapter, etc. If you are having trouble
 with your current system, or you find out that a program doesn't work
 properly on your system due to a HARDWARE problem, it may be useful  
 for us to know your configuration; maybe you can get a lot of help. 

	Channel LINUXNEWS:
	~~~~~~~~~~~~~~~~~~
 The LINUXNEWS channel will be used for distribution of Linux News, a
 weekly (if I can find the time) summary of things that happen in the
 Linux community.  Discussion is not encouraged, if you have complaints
 or suggestions, send them directly to me ([email-masked]).

	Channel NEW-CHANNELS:
	~~~~~~~~~~~~~~~~~~~~~
 On the future users on this channel get the information about new
 channels created. 

 By this way you can join the channels you want, and do not need to
 send mail to Mail-Net info server or listen rumours.

  II.09)  Does there exist a place where the traffic of the newsgroup
is kept?

ANSWER: Yes, on nic and tsx-11 (see the ftp addresses above), and since
12th March, a Gopher server is up at beryl.daimi.aau.dk (130.225.16.86).  
The archives go back to Nov. 18. 91. Also recently a WAIS server for the
linux mail archive has been setup at fgb1.fgb.mw.tu-muenchen.de. Contact
[email-masked] for more info. 

All back issues of the Digest are available on tsx-11.mit.edu
[18.172.1.2] in the following place(s):

pub/linux/mail-archive
                     ~/Volume?               /* where '?' in volume #
                              ~/digestnnn.Z   * and nnn is issue #
                                              */

II.B OBTAINING LINUX FROM BBS'S
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*** Last Update July 1993.

  II.10)   I don't have access to FTP, how can I obtain Linux?

ANSWER:  Linux is available from various BBS's around the world.

  II.11)   I got this FAQ from a local BBS, or a friend, and I see there
is a newsgroup called comp.os.linux .  I don't have access to USENET or
mail, so how can I get the messages?

ANSWER:  Some of the BBS's on FidoNet carry comp.os.linux as a FidoNet
conference.  Also some of the other BBS's carry it in some form or other.

  II.12)   Do BBS's offer anything that the Internet does not?

ANSWER:  Yes, on the information side there are the UNIX conferences on
both the RIME network and FidoNet.  Although they are not dedicated to
linux, a large amount of the messages are linux related.  Also at least
one software package being developed for linux, and also one port is
available via BBS's long before they are available via anonymous FTP. 

  II.13)   What is a BBS?

ANSWER: A BBS is a Bulletin Board System, it let's you transfer
message's and file's via your phone line and all you need is a
computer with communications software and a modem.  Some BBS's
transfer message's among each other forming large computer network's
similar to USENET.  The most popular of these in the US are FidoNet
and RIME.

  II.14)   How can I get a (Near) complete list of BBS's that carry Linux?

ANSWER:  Zane Healy ([email-masked]) posts a list of all known
BBS's that carry Linux to comp.os.linux.announce as well as the RIME
and Fidonet UNIX conferences on the 1st and 15th of each month.

	  ===================8<==========>8================
-- 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#	LaBRI 			 |					    #
#  351 cours de la Liberation    |  e-mail:  [email-masked]   #
#  33405 Talence Cedex		 |  e-mail:  [email-masked]    #
#  				 |					    #
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-- 
	 There will be a sig when our local net is reliable.
	       For now, I would rather stay anonymous.